Index: doc/dox/changelog.dox
===================================================================
--- doc/dox/changelog.dox	(revision 4a5e9a66d4f07f772593b275ead53d43c346a0b0)
+++ doc/dox/changelog.dox	(revision 4a5e9a66d4f07f772593b275ead53d43c346a0b0)
@@ -0,0 +1,197 @@
+/*! \page changelog TSPSG ChangeLog
+
+\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
+
+<hr>
+
+\section cl_toc Table of Contents
+
+  -# \ref cl_b170
+     -# \ref cl_b170_w
+     -# \ref cl_b170_c
+     -# \ref cl_b170_b
+  -# \ref cl_b145
+     -# \ref cl_b145_w
+     -# \ref cl_b145_i
+     -# \ref cl_b145_c
+     -# \ref cl_b145_b
+  -# \ref cl_b100
+     -# \ref cl_b100_w
+     -# \ref cl_b100_i
+     -# \ref cl_b100_c
+     -# \ref cl_b100_b
+  -# \ref cl_b42
+     -# \ref cl_b42_f
+
+\attention This ChangeLog is updated only on releases.
+
+<hr>
+
+\section cl_b170 TSPSG v0.1.4 beta 2 (build 170)
+
+\subsection cl_b170_w WHAT'S NEW
+
+  - Support for embedded base64 encoded images when saving solution as
+    HTML (\ticket{4,Ticket #4}).
+  - The ability to setup page-related options for printing (\ticket{5,Ticket #5}).
+  - Solution graph size can now be controlled using \c Output/GraphWidth
+    setting in \em tspsg.ini. Value is in centimeters. (\ticket{8,Ticket #8})
+
+
+\subsection cl_b170_c CHANGES & IMPROVEMENTS
+
+  - Any value that is entered into task table and doesn't contain
+    numbers is considered an infinity.
+  - Some error messages are more verbose.
+  - Removed a prompt about turning off language autodetection when
+    selecting a language.
+  - Handheld version includes larger icons (48x48 instead of 32x32).
+  - If after running Save As dialog file name doesn't have an extension
+    .tspt will be automatically appended.
+  - Translucency effect is available on all desktop platforms. No check
+    for its support by window system is made at this moment. Blur is
+    only available in Windows Vista or higher.
+
+
+\subsection cl_b170_b BUGFIXES
+
+  - \ticket{2,Bug #2}: Solution graph is too small on high resolution screens.
+  - \ticket{3,Bug #3}: Solution graph font size should be fixed.
+  - \ticket{6,Bug #6}: Bug: Actions in Options Menu.
+  - \ticket{7,Bug #7}: No Cancel option in Unsaved Changes dialog under Symbian.
+  - \ticket{9,Bug #9}: Solution graph is still exported to HTML when graph
+    generation is disabled.
+  - Language name was not loaded in its menu item's status tip which
+    caused status tip to be "Set application language to ".
+  - Icons in toolbar configuration dialog didn't follow style and one
+    of them wasn't shown.
+
+
+<hr>
+
+\section cl_b145 TSPSG v0.1.3 beta 1 (build 145)
+
+\subsection cl_b145_w WHAT'S NEW
+
+  - Solution graph generation.
+  - Support for switching between available Qt styles.
+  - Toolbar customization support (only on desktop platforms).
+  - An option to remember last used directory when saving and opening.
+  - Automatically check for updates at the given interval option (only
+    on Windows platform at this moment).
+
+
+\subsection cl_b145_i IMPROVEMENTS
+
+  - Improved the solution output generation algorithm. It is now about
+    1.65 times faster.
+  - Dragging and dropping task file on the main window now opens it.
+  - The deafult output font is now DejaVu LGC Sans Mono and it comes
+    "embedded" in the executable.
+  - The current desktop icon theme in Linux is now used if it follows
+    freedesktop.org icon theme and icon naming spesifications.
+  - Translations are now "embedded" in the executable but may be
+    overrided by placing files with the same names in l10n folder.
+  - Support for Windows 7 Taskbar Extensions (namely, Progress Bars).
+
+
+\subsection cl_b145_c CHANGES
+
+  - About dialog was "tabified". Added GPL License and Credits tabs.
+  - Platform dependent settings (e.g. paths) are saved per-platform.
+  - 32x32 icons are used on handheld platforms. This slightly decreases
+    the size of handheld versions. Desktop icons are still 128x128.
+  - \b Windows binary builds were moved from \b MSVC to \b Mingw-w64: no more
+    <em>Visual C++ Runtime</em> dependency.
+
+
+\subsection cl_b145_b BUGFIXES
+
+  - Solution related actions not disabled when solution is canceled.
+  - "Autosize" setting was never saved and was always on.
+
+<hr>
+
+\section cl_b100 TSPSG v0.1.2 alpha 2 (build 100)
+
+\subsection cl_b100_w WHAT'S NEW
+
+  - New \b TSPSG icon.
+  - Symmetric mode: in this mode the cost of travel from city 1 to
+    city 2 and vice versa is the same.
+  - Printing of solution results (if the platform supports it).
+  - Saving solution to PDF (if the platform supports printing).
+  - An ability to reset all settings to their defaults: hold Shift
+    while clicking Save button in the Settings Dialog.
+  - An ability to generate fractional random numbers.
+  - An ability to set the fractional accuracy (in decimail places).
+  - An ability to select between using native and Qt's file dialogs
+    when opening and saving tasks and solutions.
+  - An ability to disable showing of the solution steps' matrices in
+    solution output.
+  - An ability to enable scroll to the end of the solution output after
+    solving.
+  - An ability ot enable automatic resize of columns and rows to their
+    contents on its change.
+  - Basic support for Symbian.
+  - Check for updates functionality (only in Windows version at this
+    moment).
+
+
+\subsection cl_b100_i IMPROVEMENTS
+
+  - Improved the solution algorithm.
+  - The maximum number of cities in task was increased to 50.
+  - List of alternate candidates for branching is now displayed.
+  - Warning about possible non-optimal result.
+  - Open a file, passed as command-line argument.
+  - Currently opened file name is displayed in the Main Window title.
+  - "Save Solution" and "Back to Task" buttons in Solution tab for
+    better usability.
+  - The size of the toolbar buttons is now determined based on the
+    device DPI in Windows Mobile and Symbian.
+  - SIP show/hide handling in Windows Mobile.
+  - Toolbar state and position are now saved and restored with the Main
+    Window state and position.
+  - Window translucency support in Windows Vista and Windows 7.
+
+\note Showing the solution steps' matrices is disabled by default
+for tasks with more than 15 cities to considerably speed up the
+generation of the solution output process.
+
+
+\subsection cl_b100_c CHANGES
+
+  - The resulting path is now sorted, always starts from City 1 and has
+    "City 1 -> City n -> ... -> City 1" format.
+  - Translations were moved from i18n to l10n folder to follow common
+    standards.
+  - Reworked the Settings Dialog layout.
+  - Reworked the About dialog.
+
+
+\subsection cl_b100_b BUGFIXES
+
+  - A solution couldn't be found for some tasks while the task had at
+    least one solution (mostly, tasks with a lot of restrictions).
+  - An error when loading .zkt file with less than 5 cities.
+  - Generated random numbers were not in the range defined by Minimum
+    and Maximum settings.
+
+<hr>
+
+\section cl_b42 TSPSG v0.1.1 alpha 1 (build 42)
+
+This is initial \b TSPSG release.
+
+\subsection cl_b42_f FEATURES
+
+  - Solving taks with up to 5 cities.
+  - Generating tasks.
+  - Saving solution results to HTML and ODF.
+  - Importing tasks from ZKomModRd.
+  - Multilinguality: English, Russian and Ukrainian languages.
+  - Linux/UNIX, Windows and Windows Mobile support.
+*/
